# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ResourceNameAvailability(Model):
    """Describes if a resource name is available.

    :param name_available: True indicates name is valid and available.  False
     indicates the name is invalid, unavailable, or both.
    :type name_available: bool
    :param reason: Required if nameAvailable is false. 'Invalid' indicates
     the name provided does not match Azure WebApp service’s naming
     requirements. 'AlreadyExists' indicates that the name is already in use
     and is therefore unavailable.
    :type reason: str
    :param message:
    :type message: str
    """ 

    _attribute_map = {
        'name_available': {'key': 'nameAvailable', 'type': 'bool'},
        'reason': {'key': 'reason', 'type': 'str'},
        'message': {'key': 'message', 'type': 'str'},
    }

    def __init__(self, name_available=None, reason=None, message=None):
        self.name_available = name_available
        self.reason = reason
        self.message = message
