# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class SkuDescription(Model):
    """Describes a sku for a scalable resource.

    :param name: Name of the resource sku
    :type name: str
    :param tier: Service Tier of the resource sku
    :type tier: str
    :param size: Size specifier of the resource sku
    :type size: str
    :param family: Family code of the resource sku
    :type family: str
    :param capacity: Current number of instances assigned to the resource
    :type capacity: int
    """ 

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'tier': {'key': 'tier', 'type': 'str'},
        'size': {'key': 'size', 'type': 'str'},
        'family': {'key': 'family', 'type': 'str'},
        'capacity': {'key': 'capacity', 'type': 'int'},
    }

    def __init__(self, name=None, tier=None, size=None, family=None, capacity=None):
        self.name = name
        self.tier = tier
        self.size = size
        self.family = family
        self.capacity = capacity
